Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.wsdl.util
Class WSDLWrapperSaveImpl

    java.lang.Object
      org.apache.axis2.wsdl.util.WSDLWrapperSaveImpl

All Implemented Interfaces:
  java.io.Serializable, javax.wsdl.Definition, javax.wsdl.extensions.AttributeExtensible, javax.wsdl.extensions.ElementExtensible, javax.wsdl.WSDLElement, WSDLWrapperImpl

    public class WSDLWrapperSaveImpl

extends java.lang.Object
implements WSDLWrapperImpl

There are cases where a WSDL definition is kept in memory in case it needs to be accessed during runtime. In situations where there are lots of WSDL definitions or big WSDLs, the memory footprint can be huge. This class provides support for processing a WSDL4J definition with a lower memory footprint. This is useful for certain environments.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.wsdl.extensions.AttributeExtensible
`LIST_OF_QNAMES_TYPE, LIST_OF_STRINGS_TYPE, NO_DECLARED_TYPE, QNAME_TYPE, STRING_TYPE`

Constructor Summary
`WSDLWrapperSaveImpl(javax.wsdl.Definition def)` Constructor
`WSDLWrapperSaveImpl(javax.wsdl.Definition def, java.net.URL wURL)` Constructor

Method Summary
`void` | `addBinding(javax.wsdl.Binding binding)`
`void` | `addExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extElement)`
`void` | `addImport(javax.wsdl.Import importDef)`
`void` | `addMessage(javax.wsdl.Message message)`
`void` | `addNamespace(java.lang.String prefix, java.lang.String namespaceURI)`
`void` | `addPortType(javax.wsdl.PortType portType)`
`void` | `addService(javax.wsdl.Service service)`
`void` | `close()` Closes the use of the wrapper implementation and allows internal resources to be released.
`javax.wsdl.Binding` | `createBinding()`
`javax.wsdl.BindingFault` | `createBindingFault()`
`javax.wsdl.BindingInput` | `createBindingInput()`
`javax.wsdl.BindingOperation` | `createBindingOperation()`
`javax.wsdl.BindingOutput` | `createBindingOutput()`
`javax.wsdl.Fault` | `createFault()`
`javax.wsdl.Import` | `createImport()`
`javax.wsdl.Input` | `createInput()`
`javax.wsdl.Message` | `createMessage()`
`javax.wsdl.Operation` | `createOperation()`
`javax.wsdl.Output` | `createOutput()`
`javax.wsdl.Part` | `createPart()`
`javax.wsdl.Port` | `createPort()`
`javax.wsdl.PortType` | `createPortType()`
`javax.wsdl.Service` | `createService()`
`javax.wsdl.Types` | `createTypes()`
`java.util.Map` | `getAllBindings()`
`java.util.Map` | `getAllPortTypes()`
`java.util.Map` | `getAllServices()`
`javax.wsdl.Binding` | `getBinding(javax.xml.namespace.QName name)`
`java.util.Map` | `getBindings()`
`org.w3c.dom.Element` | `getDocumentationElement()`
`java.lang.String` | `getDocumentBaseURI()`
`java.util.List` | `getExtensibilityElements()`
`java.lang.Object` | `getExtensionAttribute(javax.xml.namespace.QName name)`
`java.util.Map` | `getExtensionAttributes()`
`javax.wsdl.extensions.ExtensionRegistry` | `getExtensionRegistry()`
`java.util.Map` | `getImports()`
`java.util.List` | `getImports(java.lang.String namespaceURI)`
`javax.wsdl.Message` | `getMessage(javax.xml.namespace.QName name)`
`java.util.Map` | `getMessages()`
`java.lang.String` | `getNamespace(java.lang.String prefix)`
`java.util.Map` | `getNamespaces()`
`java.util.List` | `getNativeAttributeNames()`
`javax.wsdl.PortType` | `getPortType(javax.xml.namespace.QName name)`
`java.util.Map` | `getPortTypes()`
`java.lang.String` | `getPrefix(java.lang.String namespaceURI)`
`javax.xml.namespace.QName` | `getQName()`
`javax.wsdl.Service` | `getService(javax.xml.namespace.QName name)`
`java.util.Map` | `getServices()`
`java.lang.String` | `getTargetNamespace()`
`javax.wsdl.Types` | `getTypes()`
`javax.wsdl.Definition` | `getUnwrappedDefinition()` Returns the WSDL4J Definition object that is being wrapped
`java.lang.String` | `getWSDLLocation()` Gets the location for the WSDL4J Definition object that is being wrapped
`void` | `loadResources()`
`void` | `releaseResources()`
`javax.wsdl.Binding` | `removeBinding(javax.xml.namespace.QName name)`
`javax.wsdl.extensions.ExtensibilityElement` | `removeExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extElement)`
`javax.wsdl.Import` | `removeImport(javax.wsdl.Import importDef)`
`javax.wsdl.Message` | `removeMessage(javax.xml.namespace.QName name)`
`java.lang.String` | `removeNamespace(java.lang.String prefix)`
`javax.wsdl.PortType` | `removePortType(javax.xml.namespace.QName name)`
`javax.wsdl.Service` | `removeService(javax.xml.namespace.QName name)`
`void` | `setDefinitionToWrap(javax.wsdl.Definition d)` Sets the WSDL4J Definition object that is being wrapped
`void` | `setDocumentationElement(org.w3c.dom.Element docEl)`
`void` | `setDocumentBaseURI(java.lang.String d)`
`void` | `setExtensionAttribute(javax.xml.namespace.QName name, java.lang.Object value)`
`void` | `setExtensionRegistry(javax.wsdl.extensions.ExtensionRegistry extReg)`
`void` | `setQName(javax.xml.namespace.QName n)`
`void` | `setTargetNamespace(java.lang.String t)`
`void` | `setTypes(javax.wsdl.Types types)`
`void` | `setWSDLLocation(java.lang.String uriLocation)` Sets the location for the WSDL4J Definition object that is being wrapped
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WSDLWrapperSaveImpl

    public WSDLWrapperSaveImpl(javax.wsdl.Definition def)

  Constructor

  Parameters:
    `def` - The WSDL Definition

### WSDLWrapperSaveImpl

    public WSDLWrapperSaveImpl(javax.wsdl.Definition def,
                               java.net.URL wURL)

  Constructor

  Parameters:
    `def` - The WSDL Definition
    `wURL` - The URL for the wsdl

Method Detail

### getUnwrappedDefinition

    public javax.wsdl.Definition getUnwrappedDefinition()

  Description copied from interface: `WSDLWrapperImpl`
  Returns the WSDL4J Definition object that is being wrapped

  Specified by:
    `getUnwrappedDefinition` in interface `WSDLWrapperImpl`

### setDefinitionToWrap

    public void setDefinitionToWrap(javax.wsdl.Definition d)

  Sets the WSDL4J Definition object that is being wrapped

  Specified by:
    `setDefinitionToWrap` in interface `WSDLWrapperImpl`
  Parameters:
    `d` - the WSDL4J Definition object

### setWSDLLocation

    public void setWSDLLocation(java.lang.String uriLocation)

  Sets the location for the WSDL4J Definition object that is being wrapped

  Specified by:
    `setWSDLLocation` in interface `WSDLWrapperImpl`

### getWSDLLocation

    public java.lang.String getWSDLLocation()

  Gets the location for the WSDL4J Definition object that is being wrapped

  Specified by:
    `getWSDLLocation` in interface `WSDLWrapperImpl`

### close

    public void close()

  Closes the use of the wrapper implementation and allows internal resources to be released.

  Specified by:
    `close` in interface `WSDLWrapperImpl`

### setDocumentBaseURI

    public void setDocumentBaseURI(java.lang.String d)

  Specified by:
    `setDocumentBaseURI` in interface `javax.wsdl.Definition`

### getDocumentBaseURI

    public java.lang.String getDocumentBaseURI()

  Specified by:
    `getDocumentBaseURI` in interface `javax.wsdl.Definition`

### setQName

    public void setQName(javax.xml.namespace.QName n)

  Specified by:
    `setQName` in interface `javax.wsdl.Definition`

### getQName

    public javax.xml.namespace.QName getQName()

  Specified by:
    `getQName` in interface `javax.wsdl.Definition`

### setTargetNamespace

    public void setTargetNamespace(java.lang.String t)

  Specified by:
    `setTargetNamespace` in interface `javax.wsdl.Definition`

### getTargetNamespace

    public java.lang.String getTargetNamespace()

  Specified by:
    `getTargetNamespace` in interface `javax.wsdl.Definition`

### addNamespace

    public void addNamespace(java.lang.String prefix,
                             java.lang.String namespaceURI)

  Specified by:
    `addNamespace` in interface `javax.wsdl.Definition`

### removeNamespace

    public java.lang.String removeNamespace(java.lang.String prefix)

  Specified by:
    `removeNamespace` in interface `javax.wsdl.Definition`

### getNamespace

    public java.lang.String getNamespace(java.lang.String prefix)

  Specified by:
    `getNamespace` in interface `javax.wsdl.Definition`

### getPrefix

    public java.lang.String getPrefix(java.lang.String namespaceURI)

  Specified by:
    `getPrefix` in interface `javax.wsdl.Definition`

### getNamespaces

    public java.util.Map getNamespaces()

  Specified by:
    `getNamespaces` in interface `javax.wsdl.Definition`

### getNativeAttributeNames

    public java.util.List getNativeAttributeNames()

  Specified by:
    `getNativeAttributeNames` in interface `javax.wsdl.extensions.AttributeExtensible`

### setTypes

    public void setTypes(javax.wsdl.Types types)

  Specified by:
    `setTypes` in interface `javax.wsdl.Definition`

### getTypes

    public javax.wsdl.Types getTypes()

  Specified by:
    `getTypes` in interface `javax.wsdl.Definition`

### addImport

    public void addImport(javax.wsdl.Import importDef)

  Specified by:
    `addImport` in interface `javax.wsdl.Definition`

### removeImport

    public javax.wsdl.Import removeImport(javax.wsdl.Import importDef)

  Specified by:
    `removeImport` in interface `javax.wsdl.Definition`

### getImports

    public java.util.List getImports(java.lang.String namespaceURI)

  Specified by:
    `getImports` in interface `javax.wsdl.Definition`

### getImports

    public java.util.Map getImports()

  Specified by:
    `getImports` in interface `javax.wsdl.Definition`

### addMessage

    public void addMessage(javax.wsdl.Message message)

  Specified by:
    `addMessage` in interface `javax.wsdl.Definition`

### getMessage

    public javax.wsdl.Message getMessage(javax.xml.namespace.QName name)

  Specified by:
    `getMessage` in interface `javax.wsdl.Definition`

### removeMessage

    public javax.wsdl.Message removeMessage(javax.xml.namespace.QName name)

  Specified by:
    `removeMessage` in interface `javax.wsdl.Definition`

### getMessages

    public java.util.Map getMessages()

  Specified by:
    `getMessages` in interface `javax.wsdl.Definition`

### addBinding

    public void addBinding(javax.wsdl.Binding binding)

  Specified by:
    `addBinding` in interface `javax.wsdl.Definition`

### getBinding

    public javax.wsdl.Binding getBinding(javax.xml.namespace.QName name)

  Specified by:
    `getBinding` in interface `javax.wsdl.Definition`

### removeBinding

    public javax.wsdl.Binding removeBinding(javax.xml.namespace.QName name)

  Specified by:
    `removeBinding` in interface `javax.wsdl.Definition`

### getBindings

    public java.util.Map getBindings()

  Specified by:
    `getBindings` in interface `javax.wsdl.Definition`

### getAllBindings

    public java.util.Map getAllBindings()

  Specified by:
    `getAllBindings` in interface `javax.wsdl.Definition`

### addPortType

    public void addPortType(javax.wsdl.PortType portType)

  Specified by:
    `addPortType` in interface `javax.wsdl.Definition`

### getPortType

    public javax.wsdl.PortType getPortType(javax.xml.namespace.QName name)

  Specified by:
    `getPortType` in interface `javax.wsdl.Definition`

### removePortType

    public javax.wsdl.PortType removePortType(javax.xml.namespace.QName name)

  Specified by:
    `removePortType` in interface `javax.wsdl.Definition`

### getPortTypes

    public java.util.Map getPortTypes()

  Specified by:
    `getPortTypes` in interface `javax.wsdl.Definition`

### getAllPortTypes

    public java.util.Map getAllPortTypes()

  Specified by:
    `getAllPortTypes` in interface `javax.wsdl.Definition`

### addService

    public void addService(javax.wsdl.Service service)

  Specified by:
    `addService` in interface `javax.wsdl.Definition`

### getService

    public javax.wsdl.Service getService(javax.xml.namespace.QName name)

  Specified by:
    `getService` in interface `javax.wsdl.Definition`

### removeService

    public javax.wsdl.Service removeService(javax.xml.namespace.QName name)

  Specified by:
    `removeService` in interface `javax.wsdl.Definition`

### getServices

    public java.util.Map getServices()

  Specified by:
    `getServices` in interface `javax.wsdl.Definition`

### getAllServices

    public java.util.Map getAllServices()

  Specified by:
    `getAllServices` in interface `javax.wsdl.Definition`

### setDocumentationElement

    public void setDocumentationElement(org.w3c.dom.Element docEl)

  Specified by:
    `setDocumentationElement` in interface `javax.wsdl.WSDLElement`

### getDocumentationElement

    public org.w3c.dom.Element getDocumentationElement()

  Specified by:
    `getDocumentationElement` in interface `javax.wsdl.WSDLElement`

### addExtensibilityElement

    public void addExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extElement)

  Specified by:
    `addExtensibilityElement` in interface `javax.wsdl.extensions.ElementExtensible`

### getExtensibilityElements

    public java.util.List getExtensibilityElements()

  Specified by:
    `getExtensibilityElements` in interface `javax.wsdl.extensions.ElementExtensible`

### createBinding

    public javax.wsdl.Binding createBinding()

  Specified by:
    `createBinding` in interface `javax.wsdl.Definition`

### createBindingFault

    public javax.wsdl.BindingFault createBindingFault()

  Specified by:
    `createBindingFault` in interface `javax.wsdl.Definition`

### createBindingInput

    public javax.wsdl.BindingInput createBindingInput()

  Specified by:
    `createBindingInput` in interface `javax.wsdl.Definition`

### createBindingOperation

    public javax.wsdl.BindingOperation createBindingOperation()

  Specified by:
    `createBindingOperation` in interface `javax.wsdl.Definition`

### createBindingOutput

    public javax.wsdl.BindingOutput createBindingOutput()

  Specified by:
    `createBindingOutput` in interface `javax.wsdl.Definition`

### createFault

    public javax.wsdl.Fault createFault()

  Specified by:
    `createFault` in interface `javax.wsdl.Definition`

### createImport

    public javax.wsdl.Import createImport()

  Specified by:
    `createImport` in interface `javax.wsdl.Definition`

### createInput

    public javax.wsdl.Input createInput()

  Specified by:
    `createInput` in interface `javax.wsdl.Definition`

### createMessage

    public javax.wsdl.Message createMessage()

  Specified by:
    `createMessage` in interface `javax.wsdl.Definition`

### createOperation

    public javax.wsdl.Operation createOperation()

  Specified by:
    `createOperation` in interface `javax.wsdl.Definition`

### createOutput

    public javax.wsdl.Output createOutput()

  Specified by:
    `createOutput` in interface `javax.wsdl.Definition`

### createPart

    public javax.wsdl.Part createPart()

  Specified by:
    `createPart` in interface `javax.wsdl.Definition`

### createPort

    public javax.wsdl.Port createPort()

  Specified by:
    `createPort` in interface `javax.wsdl.Definition`

### createPortType

    public javax.wsdl.PortType createPortType()

  Specified by:
    `createPortType` in interface `javax.wsdl.Definition`

### createService

    public javax.wsdl.Service createService()

  Specified by:
    `createService` in interface `javax.wsdl.Definition`

### createTypes

    public javax.wsdl.Types createTypes()

  Specified by:
    `createTypes` in interface `javax.wsdl.Definition`

### setExtensionRegistry

    public void setExtensionRegistry(javax.wsdl.extensions.ExtensionRegistry extReg)

  Specified by:
    `setExtensionRegistry` in interface `javax.wsdl.Definition`

### getExtensionRegistry

    public javax.wsdl.extensions.ExtensionRegistry getExtensionRegistry()

  Specified by:
    `getExtensionRegistry` in interface `javax.wsdl.Definition`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### removeExtensibilityElement

    public javax.wsdl.extensions.ExtensibilityElement removeExtensibilityElement(javax.wsdl.extensions.ExtensibilityElement extElement)

  Specified by:
    `removeExtensibilityElement` in interface `javax.wsdl.extensions.ElementExtensible`

### getExtensionAttribute

    public java.lang.Object getExtensionAttribute(javax.xml.namespace.QName name)

  Specified by:
    `getExtensionAttribute` in interface `javax.wsdl.extensions.AttributeExtensible`

### getExtensionAttributes

    public java.util.Map getExtensionAttributes()

  Specified by:
    `getExtensionAttributes` in interface `javax.wsdl.extensions.AttributeExtensible`

### setExtensionAttribute

    public void setExtensionAttribute(javax.xml.namespace.QName name,
                                      java.lang.Object value)

  Specified by:
    `setExtensionAttribute` in interface `javax.wsdl.extensions.AttributeExtensible`

### releaseResources

    public void releaseResources()

  Specified by:
    `releaseResources` in interface `WSDLWrapperImpl`

### loadResources

    public void loadResources()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.